# Script

Creates a SQL script file by extracting the schema and data of a database.

Methods
static void | main(String... args) Options are case sensitive.

static void

main(String... args) throws SQLException
Options are case sensitive. Supported options are:

[-help] or [-?] | Print the list of options
[-url "<url>"] | The database URL (jdbc:...)
[-user <user>] | The user name (default: sa)
[-password <pwd>] | The password
[-script <file>] | The target script file name (default: backup.sql)
[-options ...] | A list of options (only for embedded H2, see SCRIPT)
[-quiet] | Do not print progress information

Parameters:
args - the command line arguments

static void | process(String url, String user, String password, String fileName, String options1, String options2) Backs up a database to a stream.

static void

process(String url, String user, String password, String fileName, String options1, String options2) throws SQLException
Backs up a database to a stream.
Parameters:
url - the database URL
user - the user name
password - the password
fileName - the target file name
options1 - the options before the file name (may be an empty string)
options2 - the options after the file name (may be an empty string)

static void | process(Connection conn, String fileName, String options1, String options2) Backs up a database to a stream.
static void | process(Connection conn, String fileName, String options1, String options2) throws SQLException Backs up a database to a stream. The stream is not closed. The connection is not closed. Parameters: conn - the connection fileName - the target file name options1 - the options before the file name options2 - the options after the file name
void | runTool(String... args)
void | runTool(String... args) throws SQLException